[**@rxap/window-system v19.0.3-dev.0**](../README.md)

***

[@rxap/window-system](../globals.md) / WindowService

# Class: WindowService

Defined in: [packages/angular/window-system/src/lib/window.service.ts:44](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window.service.ts#L44)

## Constructors

### new WindowService()

> **new WindowService**(`injector`, `overlay`, `componentFactoryResolver`, `defaultWindowSettings`?): [`WindowService`](WindowService.md)

Defined in: [packages/angular/window-system/src/lib/window.service.ts:48](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window.service.ts#L48)

#### Parameters

##### injector

`Injector`

##### overlay

`Overlay`

##### componentFactoryResolver

`ComponentFactoryResolver`

##### defaultWindowSettings?

[`WindowSettings`](../interfaces/WindowSettings.md)\<`any`\>

#### Returns

[`WindowService`](WindowService.md)

## Properties

### activeCount$

> `readonly` **activeCount$**: `Subject`\<`number`\>

Defined in: [packages/angular/window-system/src/lib/window.service.ts:45](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window.service.ts#L45)

## Accessors

### activeWindowCount

#### Get Signature

> **get** **activeWindowCount**(): `number`

Defined in: [packages/angular/window-system/src/lib/window.service.ts:63](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window.service.ts#L63)

##### Returns

`number`

***

### allActiveWindows

#### Get Signature

> **get** **allActiveWindows**(): [`WindowRef`](WindowRef.md)\<`any`, `any`\>[]

Defined in: [packages/angular/window-system/src/lib/window.service.ts:67](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window.service.ts#L67)

##### Returns

[`WindowRef`](WindowRef.md)\<`any`, `any`\>[]

***

### hasActiveWindows

#### Get Signature

> **get** **hasActiveWindows**(): `boolean`

Defined in: [packages/angular/window-system/src/lib/window.service.ts:59](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window.service.ts#L59)

##### Returns

`boolean`

## Methods

### add()

> **add**(`windowRef`): `void`

Defined in: [packages/angular/window-system/src/lib/window.service.ts:179](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window.service.ts#L179)

#### Parameters

##### windowRef

[`WindowRef`](WindowRef.md)\<`any`\>

#### Returns

`void`

***

### close()

> **close**(`id`): `void`

Defined in: [packages/angular/window-system/src/lib/window.service.ts:78](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window.service.ts#L78)

#### Parameters

##### id

`string`

#### Returns

`void`

***

### get()

> **get**\<`D`\>(`id`): [`WindowRef`](WindowRef.md)\<`D`\>

Defined in: [packages/angular/window-system/src/lib/window.service.ts:71](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window.service.ts#L71)

#### Type Parameters

• **D**

#### Parameters

##### id

`string`

#### Returns

[`WindowRef`](WindowRef.md)\<`D`\>

***

### has()

> **has**(`id`): `boolean`

Defined in: [packages/angular/window-system/src/lib/window.service.ts:83](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window.service.ts#L83)

#### Parameters

##### id

`string`

#### Returns

`boolean`

***

### open()

> **open**\<`D`, `T`\>(`config`): [`WindowRef`](WindowRef.md)\<`D`\>

Defined in: [packages/angular/window-system/src/lib/window.service.ts:87](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window.service.ts#L87)

#### Type Parameters

• **D**

• **T**

#### Parameters

##### config

[`WindowConfig`](../interfaces/WindowConfig.md)\<`D`, `T`\>

#### Returns

[`WindowRef`](WindowRef.md)\<`D`\>

***

### remove()

> **remove**(`id`): `boolean`

Defined in: [packages/angular/window-system/src/lib/window.service.ts:173](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window.service.ts#L173)

#### Parameters

##### id

`string`

#### Returns

`boolean`
